"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_getPageConfig = require("../../../common/libraries/getPageConfig.js");
const INDEX_owner_audit_list_model = require("../model.js");
const INDEX_owner_audit_list_method = require("../method.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  _easycom_hs_tabs2();
}
const _easycom_hs_tabs = () => "../../../components/hs-tabs/hs-tabs.js";
if (!Math) {
  _easycom_hs_tabs();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "Tabs",
  emits: ["change"],
  setup(__props, { emit }) {
    const statusEd = common_vendor.ref("");
    let list = [
      { label: "我的审核", value: "1" },
      { label: "我的申请", value: "2" }
    ];
    const status_list = [
      { label: "全部", value: "" },
      { label: "待审核", value: "Pending" },
      { label: "审核通过", value: "Approved" },
      { label: "审核拒绝", value: "Rejected" }
    ];
    const handleStatusChange = (e) => {
      INDEX_owner_audit_list_model.useModel.formData.value.approval_owner_status = e == null ? void 0 : e.value;
      INDEX_owner_audit_list_model.useModel.formData.value.status = e == null ? void 0 : e.value;
      statusEd.value = e == null ? void 0 : e.value;
      INDEX_owner_audit_list_method.method.handleSrarch();
    };
    const handleTabsChange = (idx) => {
      INDEX_owner_audit_list_model.useModel.currentTabs.value = idx;
      INDEX_owner_audit_list_model.useModel.formData.value.approval_owner_status = "";
      INDEX_owner_audit_list_model.useModel.formData.value.status = "";
      statusEd.value = "";
      INDEX_owner_audit_list_method.method.handleSrarch();
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(handleTabsChange),
        b: common_vendor.p({
          list: common_vendor.unref(list),
          current: common_vendor.unref(INDEX_owner_audit_list_model.useModel).currentTabs.value
        }),
        c: common_vendor.f(status_list, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: index,
            c: common_vendor.s(statusEd.value === (i == null ? void 0 : i.value) ? common_vendor.unref(common_libraries_getPageConfig.getBorderColorInfo)() : ""),
            d: common_vendor.o(($event) => handleStatusChange(i), index)
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-fca50c93"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/owner_audit_list/components/Tabs.vue"]]);
wx.createComponent(Component);
